## pcscada 0.7.1

=== Makefile ===
--- 
+++ 
@@ -27,12 +27,13 @@
 INSTALL = install
 
 MAJOR   = 0
-MINOR   = 6
-VERSION = $(MAJOR).$(MINOR)
+MINOR   = 7
+REV     = 1
+VERSION = $(MAJOR).$(MINOR).$(REV)
 PCSCADA = libpcscada-$(VERSION)
 
 SOURCEDIR  = src
-APIDOCDIR  = doc
+DOCDIR     = doc/html
 ALI_FILES  = lib/*.ali
 SO_LIBRARY = libpcscada.so.$(VERSION)
 A_LIBRARY  = libpcscada.a
@@ -63,17 +64,18 @@
 $(SOURCEDIR)/pcsc-version.ads:
 	@echo "package PCSC.Version is"                 > $@
 	@echo "   Version_String : constant String :=" >> $@
-	@echo "      \"$(VERSION)\";"                  >> $@
+	@echo "     \"$(VERSION)\";"                   >> $@
 	@echo "end PCSC.Version;"                      >> $@
 
 clean:
 	@rm -rf obj/*
 	@rm -rf lib/*
+	$(MAKE) -C doc clean
 
 distclean:
 	@rm -rf obj
 	@rm -rf lib
-	@rm -rf $(APIDOCDIR)
+	@rm -rf $(DOCDIR)
 	@rm -f $(SOURCEDIR)/pcsc-version.ads
 
 # run unit tests
@@ -104,15 +106,18 @@
 		ln -sf $(SO_LIBRARY) libpcscada.so && \
 		ln -sf $(SO_LIBRARY) libpcscada.so.$(MAJOR)
 
-docs:
+apidoc:
 	@echo "Creating API doc for version $(VERSION) ..."
-	@mkdir -p $(APIDOCDIR)
+	@mkdir -p $(DOCDIR)/api
 	@ls $(SOURCEDIR)/*.ads > pcscada.specs
 	@adabrowse -c adabrowse.cfg -p -t -i -I src/ -f@pcscada.specs \
-		-o $(APIDOCDIR)/
+		-o $(DOCDIR)/api/
 	@rm pcscada.specs
 
-dist: distclean $(SOURCEDIR)/pcsc-version.ads docs
+doc:
+	@$(MAKE) -C doc
+
+dist: distclean
 	@echo -n "Creating release tarball '$(PCSCADA)' ($(VERSION)) ... "
 	@mkdir -p $(DISTDIR)
 	@cp -R * $(DISTDIR)
@@ -120,4 +125,4 @@
 	@rm -rf $(DISTDIR)
 	@echo "DONE"
 
-.PHONY: dist itests utests
+.PHONY: apidoc dist doc itests utests
