=== doc/Makefile ===
DESTDIR   ?= html
STYLEPATH ?= .
PREPARE   := $(shell mkdir -p $(DESTDIR))

ASCIIDOC_OPTS = \
	--backend=xhtml11 \
	--conf-file=page.conf \
	-a stylesdir=$(STYLEPATH) \
	-a linkcss \
	-a disable-javascript \
	-o -

all: $(DESTDIR)/asciidoc.css build_page

$(DESTDIR)/asciidoc.css: asciidoc.css
	cp $< $@

build_page:
	asciidoc $(ASCIIDOC_OPTS) index > $(DESTDIR)/index.html
	asciidoc $(ASCIIDOC_OPTS) ../README > $(DESTDIR)/README.html
	asciidoc $(ASCIIDOC_OPTS) ../CHANGELOG > $(DESTDIR)/CHANGELOG.html

clean:
	rm -f $(DESTDIR)/*.html
	rm -f $(DESTDIR)/*.css

PHONY: build_page
