=== debian/changelog ===
pcscada (0.7.1-4) unstable; urgency=low

  * Update copyright information
  * Break and replace libpcscada1-dev (Closes: #699194)

 -- Reto Buerki <reet@codelabs.ch>  Wed, 30 Jan 2013 09:44:29 +0100

pcscada (0.7.1-3) unstable; urgency=low

  * Also depend on gnat package (Closes: #664722)
  * Add project specific git-buildpackage configuration
  * Add patch to build dynamic/static libs in separate dirs.
    This avoids position-independent code (PIC) in the static library.
  * libpcscada2-dev: Build and install static library
  * Update to Standards-Version 3.9.3 (no changes)

 -- Reto Buerki <reet@codelabs.ch>  Wed, 28 Mar 2012 13:43:07 +0200

pcscada (0.7.1-2) unstable; urgency=low

  * Drop unneeded debian/README.source
  * Update comment header in GNAT project file
  * Drop incorrect libpcscada.0 symlink (Closes: #657417)

 -- Reto Buerki <reet@codelabs.ch>  Mon, 20 Feb 2012 11:25:48 +0100

pcscada (0.7.1-1) unstable; urgency=low

  * Merge upstream version 0.7.1
  * Migrate to gnat-4.6
  * Build-Depend on libahven3-dev (Closes: #647796)
  * Switch to 3.0 (quilt) source package format
  * Drop disable-stack-check.patch
  * Rename libpcscada0.6 package to libpcscada0.7.1
  * Bump dev package aliversion to 2
  * Unapply patches from source
  * Update to debhelper 8
  * Switch to minimal debian/rules syntax
  * Update to Standards-Version 3.9.2 (no changes)
  * Enable DM upload
  * Update copyright time period
  * Update project URLs (now hosted at codelabs.ch)
  * Add asciidoc and source-highlight to Build-Depends
  * libpcscada2-dev: Build and install html doc

 -- Reto Buerki <reet@codelabs.ch>  Sat, 26 Nov 2011 12:27:35 +0100

pcscada (0.6-2) unstable; urgency=low

  * Add aliversion to dev package.
  * Declare conflict with libpcscada-dev.
  * Declare conflict with libpcscada0 (Closes: #566096).
  * Update to Standards-Version 3.8.4 (no changes).
  * Disable stack overflow checking (Closes: #520434).

 -- Reto Buerki <reet@codelabs.ch>  Wed, 03 Feb 2010 23:08:41 +0100

pcscada (0.6-1) unstable; urgency=low

  * Update to Standards-Version 3.8.3 (no changes).
  * Update debian/rules.
  * Migrate to gnat-4.4 (Closes: #555100).
  * Update libahven Build-Depends (Closes: #560603).
  * Merge upstream version 0.6.
  * Change soname from 0 to 0.6.
  * Fix debhelper-but-no-misc-depends lintian warning.

 -- Reto Buerki <reet@codelabs.ch>  Mon, 18 Jan 2010 22:05:32 +0100

pcscada (0.5-4) unstable; urgency=low

  * Fix wrong-section-according-to-package-name warning.
    - pcscada-dbg: devel -> debug.
  * Remove unused pcscada-dbg lintian override.
  * Remove "section" field from libpcscada0 package.
  * libpcscada-dev: Add dependency to gnat-4.3 (Closes: #533157).
  * Don't dh_compress .ads and .adb files.
  * Update to Standards-Version 3.8.2 (no changes).

 -- Reto Buerki <reet@codelabs.ch>  Wed, 17 Jun 2009 23:00:39 +0200

pcscada (0.5-3) unstable; urgency=low

  * Link libpcscada (dynamic) against pcsclite.
  * Remove manually added libpcsclite1 shlibs:Depends.

 -- Reto Buerki <reet@codelabs.ch>  Thu, 22 Jan 2009 21:42:49 +0100

pcscada (0.5-2) unstable; urgency=low

  * Fix typo in manually added libpcsclite1 shlibs:Depends.

 -- Reto Buerki <reet@codelabs.ch>  Wed, 21 Jan 2009 11:04:11 +0100

pcscada (0.5-1) unstable; urgency=low

  * Initial release (Closes: #508846).

 -- Reto Buerki <reet@codelabs.ch>  Tue, 16 Dec 2008 14:54:36 +0100
