=== debian/control ===
Source: pcscada
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
DM-Upload-Allowed: yes
Build-Depends: asciidoc, debhelper (>= 8), gnat, gnat-4.6, libahven3-dev,
 libpcsclite-dev (>= 1.4.0), source-highlight
Standards-Version: 3.9.3
Homepage: http://www.codelabs.ch/pcscada/
Vcs-Browser: http://git.codelabs.ch/?p=pcscada.git
Vcs-Git: http://git.codelabs.ch/git/pcscada.git

Package: libpcscada0.7.1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada bindings to PC/SC middleware
 PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
 programming language. The library allows applications written in Ada to
 communicate with smart cards using the SCard API.

Package: libpcscada2-dev
Section: libdevel
Architecture: any
Replaces: libpcscada1-dev
Breaks: libpcscada1-dev
Depends: ${misc:Depends}, libpcscada0.7.1 (= ${binary:Version}),
 libpcsclite-dev (>= 1.4.0), gnat, gnat-4.6
Description: Ada bindings to PC/SC middleware (development)
 PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
 programming language. The library allows applications written in Ada to
 communicate with smart cards using the SCard API.
 .
 This package contains the development files.

Package: pcscada-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libpcscada0.7.1 (= ${binary:Version}),
 libpcscada2-dev (= ${binary:Version})
Description: Ada bindings to PC/SC middleware (debug)
 PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
 programming language. The library allows applications written in Ada to
 communicate with smart cards using the SCard API.
 .
 This package contains the debugging symbols.
