## pcscada 0.7.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#  Copyright (c) 2008-2009,
+#  Copyright (c) 2008-2014,
 #  Reto Buerki <reet@codelabs.ch>
 #
 #  This file is part of PCSC/Ada.
@@ -28,27 +28,26 @@
 
 MAJOR   = 0
 MINOR   = 7
-REV     = 1
+REV     = 2
 VERSION = $(MAJOR).$(MINOR).$(REV)
 PCSCADA = libpcscada-$(VERSION)
 
+LIBRARY_KIND = dynamic
+
 SOURCEDIR  = src
 DOCDIR     = doc/html
-ALI_FILES  = lib/*.ali
+ALI_FILES  = lib/$(LIBRARY_KIND)/*.ali
 SO_LIBRARY = libpcscada.so.$(VERSION)
 A_LIBRARY  = libpcscada.a
 
-TMPDIR  = /tmp
-DISTDIR = $(TMPDIR)/$(PCSCADA)
 TARBALL = $(PCSCADA).tar.bz2
-
-LIBRARY_KIND = dynamic
 
 all: build_lib
 
 build_lib: prepare
 	@gnatmake -p -Ppcscada_lib -XPCSCADA_VERSION="$(VERSION)" \
-		-XLIBRARY_KIND="$(LIBRARY_KIND)"
+		-XLIBRARY_KIND="$(LIBRARY_KIND)" -XLDFLAGS="$(LDFLAGS)" \
+		-cargs $(ADAFLAGS)
 
 build_utests: prepare
 	@gnatmake -p -Ppcscada_utests
@@ -98,31 +97,17 @@
 	$(INSTALL) -m 444 $(ALI_FILES) $(ALIDIR)
 
 install_static:
-	$(INSTALL) -m 444 lib/$(A_LIBRARY) $(PREFIX)/lib
+	$(INSTALL) -m 444 lib/$(LIBRARY_KIND)/$(A_LIBRARY) $(PREFIX)/lib
 
 install_dynamic:
-	$(INSTALL) -m 444 lib/$(SO_LIBRARY) $(PREFIX)/lib
-	@cd $(PREFIX)/lib && \
-		ln -sf $(SO_LIBRARY) libpcscada.so && \
-		ln -sf $(SO_LIBRARY) libpcscada.so.$(MAJOR)
-
-apidoc:
-	@echo "Creating API doc for version $(VERSION) ..."
-	@mkdir -p $(DOCDIR)/api
-	@ls $(SOURCEDIR)/*.ads > pcscada.specs
-	@adabrowse -c adabrowse.cfg -p -t -i -I src/ -f@pcscada.specs \
-		-o $(DOCDIR)/api/
-	@rm pcscada.specs
+	$(INSTALL) -m 444 lib/$(LIBRARY_KIND)/$(SO_LIBRARY) $(PREFIX)/lib
+	@cd $(PREFIX)/lib && ln -sf $(SO_LIBRARY) libpcscada.so
 
 doc:
 	@$(MAKE) -C doc
 
-dist: distclean
-	@echo -n "Creating release tarball '$(PCSCADA)' ($(VERSION)) ... "
-	@mkdir -p $(DISTDIR)
-	@cp -R * $(DISTDIR)
-	@tar -C $(TMPDIR) -cjf $(TARBALL) $(PCSCADA)
-	@rm -rf $(DISTDIR)
-	@echo "DONE"
+dist:
+	@echo "Creating release tarball $(PCSCADA) ... "
+	@git archive --format=tar HEAD --prefix $(PCSCADA)/ | bzip2 > $(TARBALL)
 
-.PHONY: apidoc dist doc itests utests
+.PHONY: doc
