=== doc/Makefile ===
--- 
+++ 
@@ -18,7 +18,6 @@
 build_page:
 	asciidoc $(ASCIIDOC_OPTS) index > $(DESTDIR)/index.html
 	asciidoc $(ASCIIDOC_OPTS) ../README > $(DESTDIR)/README.html
-	asciidoc $(ASCIIDOC_OPTS) ../CHANGELOG > $(DESTDIR)/CHANGELOG.html
 
 clean:
 	rm -f $(DESTDIR)/*.html
