=== debian/changelog ===
pcscada (0.7.2-1) unstable; urgency=medium

  * Update gbp.conf settings
  * Set debian/compat level to 9
  * Update to release 0.7.2
  * Drop obsolete 'dynamic/static libs in separate dirs' patch
  * Update copyright information
  * Remove obsolete DM-Upload-Allowed from debian/control
  * Update to Standards-Version 3.9.5
  * Specify debian branch in Vcs-Git field
  * Update binary package names
  * Enable dpkg-buildflags hardening options
  * Transition to gnat-4.9 compiler (Closes: #749806)
  * Update ahven Build-Depends to libahven4-dev

 -- Reto Buerki <reet@codelabs.ch>  Thu, 14 Aug 2014 10:44:04 +0200
