=== debian/control ===
Source: pcscada
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Build-Depends: asciidoc, debhelper (>= 9), gnat, gnat-4.9, libahven4-dev,
 libpcsclite-dev (>= 1.4.0), source-highlight
Standards-Version: 3.9.5
Homepage: http://www.codelabs.ch/pcscada/
Vcs-Browser: http://git.codelabs.ch/?p=pcscada.git
Vcs-Git: http://git.codelabs.ch/git/pcscada.git -b debian

Package: libpcscada0.7.2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada bindings to PC/SC middleware
 PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
 programming language. The library allows applications written in Ada to
 communicate with smart cards using the SCard API.

Package: libpcscada3-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libpcscada0.7.2 (= ${binary:Version}),
 libpcsclite-dev (>= 1.4.0), gnat, gnat-4.9
Description: Ada bindings to PC/SC middleware (development)
 PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
 programming language. The library allows applications written in Ada to
 communicate with smart cards using the SCard API.
 .
 This package contains the development files.

Package: pcscada-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libpcscada0.7.2 (= ${binary:Version}),
 libpcscada3-dev (= ${binary:Version})
Description: Ada bindings to PC/SC middleware (debug)
 PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
 programming language. The library allows applications written in Ada to
 communicate with smart cards using the SCard API.
 .
 This package contains the debugging symbols.
