=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,10 @@
 #!/usr/bin/make -f
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+ADAFLAGS := $(filter-out -Wformat -Werror=format-security, $(CFLAGS))
+export ADAFLAGS
 
 %:
 	dh ${@}
@@ -16,9 +22,8 @@
 override_dh_auto_test:
 	$(MAKE) utests
 
-# disabled for now: incorrect libpcscada.so.0 symlink problem
-#override_dh_install:
-#	dh_install --fail-missing
+override_dh_install:
+	dh_install --fail-missing
 
 override_dh_compress:
 	dh_compress -X.ads -X.adb -XMakefile
