=== debian/watch ===
version=3
http://www.codelabs.ch/download/libpcscada-(.*)\.tar\.bz2
