## pcscada 0.7.3

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 MAJOR   = 0
 MINOR   = 7
-REV     = 2
+REV     = 3
 VERSION = $(MAJOR).$(MINOR).$(REV)
 PCSCADA = libpcscada-$(VERSION)
 
@@ -42,21 +42,29 @@
 
 TARBALL = $(PCSCADA).tar.bz2
 
+NUM_CPUS ?= 1
+
+# GNAT_BUILDER_FLAGS, ADAFLAGS and GNATFLAGS may be overridden in the
+# environment or on the command line.
+GNAT_BUILDER_FLAGS ?= -R -j$(NUM_CPUS)
+GNATFLAGS          ?= ${GNAT_BUILDER_FLAGS} -cargs ${ADAFLAGS}
+# GMAKE_OPTS should not be overridden because -p is essential.
+GMAKE_OPTS = -p ${GNATFLAGS} -margs
+
 all: build_lib
 
 build_lib: prepare
-	@gnatmake -p -Ppcscada_lib -XPCSCADA_VERSION="$(VERSION)" \
-		-XLIBRARY_KIND="$(LIBRARY_KIND)" -XLDFLAGS="$(LDFLAGS)" \
-		-cargs $(ADAFLAGS)
+	gnatmake $(GMAKE_OPTS) -p -Ppcscada_lib -XPCSCADA_VERSION="$(VERSION)" \
+		-XLIBRARY_KIND="$(LIBRARY_KIND)" -XLDFLAGS="$(LDFLAGS)"
 
 build_utests: prepare
-	@gnatmake -p -Ppcscada_utests
+	gnatmake $(GMAKE_OPTS) -p -Ppcscada_utests
 
 build_itests: prepare
-	@gnatmake -p -Ppcscada_itests
+	gnatmake $(GMAKE_OPTS) -p -Ppcscada_itests
 
 build_examples: prepare
-	@gnatmake -p -Ppcscada_examples
+	gnatmake $(GMAKE_OPTS) -p -Ppcscada_examples
 
 prepare: $(SOURCEDIR)/pcsc-version.ads
