=== doc/Makefile ===
--- 
+++ 
@@ -16,8 +16,8 @@
 	cp $< $@
 
 build_page:
-	asciidoc $(ASCIIDOC_OPTS) index > $(DESTDIR)/index.html
-	asciidoc $(ASCIIDOC_OPTS) ../README > $(DESTDIR)/README.html
+	TZ=UTC asciidoc $(ASCIIDOC_OPTS) index > $(DESTDIR)/index.html
+	TZ=UTC asciidoc $(ASCIIDOC_OPTS) ../README > $(DESTDIR)/README.html
 
 clean:
 	rm -f $(DESTDIR)/*.html
