=== debian/changelog ===
pcscada (0.7.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with gnat 7. Bump ALI and SO versions in binary package names.
    Remove many hardcoded versions in packaging.
  * Clarify flow of parameters from Makefile to projects. Closes: #833580.
  * Make runtime Multi-Arch: same. Make paths multiarch compliant in -dev.
  * Update gpr install dir.
  * Debhelper 10. Replace deprecated --fail-missing dh_install option.
  * Enable all hardening flags.
  * Watch file format version 4.
  * Standards-Version: 4.0.1
    HTTPS copyright format URL. See nocheck and noopt in DEB_BUILD_OPTIONS.
  * Register documentation in doc-base.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 21 Aug 2017 16:48:31 +0200

pcscada (0.7.3-1) unstable; urgency=medium

  * Update to release 0.7.3
  * Transition to gnat-6 compiler (Closes: #825279)
  * Drop explicit pcscada-dbg package
  * Update binary package names
  * Switch homepage and Vcs-* URLs to HTTPS
  * Update to Standards-Version 3.9.8
  * Update local gbp.conf
  * Update ahven Build-Depends to libahven5-dev
  * Include ada/debian_packaging-6.mk in debian/rules
  * Update addon/pcscada.gpr file
  * Add link-with-shared autopkgtest

 -- Reto Buerki <reet@codelabs.ch>  Mon, 18 Jul 2016 09:57:21 +0200
