=== debian/control ===
Source: pcscada
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Build-Depends: asciidoc, debhelper (>= 10),
 gnat, gnat-7,
# This line is parsed by debian/rules.
 libahven6-dev,
 libpcsclite-dev (>= 1.4.0), source-highlight
Standards-Version: 4.0.1
Homepage: https://www.codelabs.ch/pcscada/
Vcs-Browser: https://git.codelabs.ch/?p=pcscada.git
Vcs-Git: https://git.codelabs.ch/git/pcscada.git -b debian

Package: libpcscada0.7.3.1
# This line is parsed by debian/rules.
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada bindings to PC/SC middleware
 PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
 programming language. The library allows applications written in Ada to
 communicate with smart cards using the SCard API.

Package: libpcscada5-dev
# This line is parsed by debian/rules.
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libpcscada0.7.3.1 (= ${binary:Version}),
 libpcsclite-dev (>= 1.4.0), gnat, gnat-7
Description: Ada bindings to PC/SC middleware (development)
 PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
 programming language. The library allows applications written in Ada to
 communicate with smart cards using the SCard API.
 .
 This package contains the development files.
