=== debian/watch ===
version=4
http://www.codelabs.ch/download/libpcscada@ANY_VERSION@@ARCHIVE_EXT@
