## pcscada 0.7.4

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 MAJOR   = 0
 MINOR   = 7
-REV     = 3
+REV     = 4
 VERSION = $(MAJOR).$(MINOR).$(REV)
 PCSCADA = libpcscada-$(VERSION)
 
@@ -44,27 +44,27 @@
 
 NUM_CPUS ?= 1
 
-# GNAT_BUILDER_FLAGS, ADAFLAGS and GNATFLAGS may be overridden in the
+# GNAT_BUILDER_FLAGS, ADAFLAGS, LDFLAGS and GNATFLAGS may be overridden in the
 # environment or on the command line.
 GNAT_BUILDER_FLAGS ?= -R -j$(NUM_CPUS)
-GNATFLAGS          ?= ${GNAT_BUILDER_FLAGS} -cargs ${ADAFLAGS}
+GNATFLAGS          ?= ${GNAT_BUILDER_FLAGS}
 # GMAKE_OPTS should not be overridden because -p is essential.
-GMAKE_OPTS = -p ${GNATFLAGS} -margs
+GMAKE_OPTS = -p $(GNATFLAGS) \
+  $(foreach v,ADAFLAGS LDFLAGS LIBRARY_KIND VERSION,'-X$(v)=$($(v))')
 
 all: build_lib
 
 build_lib: prepare
-	gnatmake $(GMAKE_OPTS) -p -Ppcscada_lib -XPCSCADA_VERSION="$(VERSION)" \
-		-XLIBRARY_KIND="$(LIBRARY_KIND)" -XLDFLAGS="$(LDFLAGS)"
+	gprbuild $(GMAKE_OPTS) -Ppcscada_lib -XLIBRARY_KIND=$(LIBRARY_KIND)
 
 build_utests: prepare
-	gnatmake $(GMAKE_OPTS) -p -Ppcscada_utests
+	gprbuild $(GMAKE_OPTS) -Ppcscada_utests -XLIBRARY_KIND=static
 
 build_itests: prepare
-	gnatmake $(GMAKE_OPTS) -p -Ppcscada_itests
+	gprbuild $(GMAKE_OPTS) -Ppcscada_itests -XLIBRARY_KIND=static
 
 build_examples: prepare
-	gnatmake $(GMAKE_OPTS) -p -Ppcscada_examples
+	gprbuild $(GMAKE_OPTS) -p -Ppcscada_examples -XLIBRARY_KIND=static
 
 prepare: $(SOURCEDIR)/pcsc-version.ads
 
@@ -105,10 +105,12 @@
 	$(INSTALL) -m 444 $(ALI_FILES) $(ALIDIR)
 
 install_static:
-	$(INSTALL) -m 444 lib/$(LIBRARY_KIND)/$(A_LIBRARY) $(PREFIX)/lib
+	mkdir -p $(PREFIX)/lib
+	$(INSTALL) -m 644 lib/$(LIBRARY_KIND)/$(A_LIBRARY) $(PREFIX)/lib
 
 install_dynamic:
-	$(INSTALL) -m 444 lib/$(LIBRARY_KIND)/$(SO_LIBRARY) $(PREFIX)/lib
+	mkdir -p $(PREFIX)/lib
+	$(INSTALL) -m 644 lib/$(LIBRARY_KIND)/$(SO_LIBRARY) $(PREFIX)/lib
 	@cd $(PREFIX)/lib && ln -sf $(SO_LIBRARY) libpcscada.so
 
 doc:
