=== debian/changelog ===
pcscada (0.7.4-2) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:10:10 +0200

pcscada (0.7.4-1) experimental; urgency=medium

  * New upstream release. Rebuild with gcc-8.
    Rename lib and -dev packages accordingly.
  * Switch to dh-ada-library.
  * Add me as uploader.
  * Debhelper 11, no changes.
  * Standards-Version: 4.1.5. Rules-Requires-Root: no.
  * Use debhelper defaults when running Make, for example parallelism.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Jul 2018 11:39:42 +0200
