=== debian/control ===
Source: pcscada
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 asciidoc,
 debhelper (>= 11),
 dh-ada-library,
 gnat, gnat-8,
# This line is parsed by debian/rules.
 gprbuild,
 libahven7-dev,
 libpcsclite-dev (>= 1.4.0), source-highlight
Standards-Version: 4.1.5
Rules-Requires-Root: no
Homepage: https://www.codelabs.ch/pcscada/
Vcs-Browser: https://git.codelabs.ch/?p=pcscada.git
Vcs-Git: https://git.codelabs.ch/git/pcscada.git -b debian

Package: libpcscada0.7.4
# This line is parsed by debian/rules.
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada bindings to PC/SC middleware
 PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
 programming language. The library allows applications written in Ada to
 communicate with smart cards using the SCard API.

Package: libpcscada6-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends},
 libpcsclite-dev (>= 1.4.0)
Description: Ada bindings to PC/SC middleware (development)
 PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
 programming language. The library allows applications written in Ada to
 communicate with smart cards using the SCard API.
 .
 This package contains the development files.
