## pcscada 0.7.5

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 MAJOR   = 0
 MINOR   = 7
-REV     = 4
+REV     = 5
 VERSION = $(MAJOR).$(MINOR).$(REV)
 PCSCADA = libpcscada-$(VERSION)
 
@@ -54,25 +54,17 @@
 
 all: build_lib
 
-build_lib: prepare
+build_lib:
 	gprbuild $(GMAKE_OPTS) -Ppcscada_lib -XLIBRARY_KIND=$(LIBRARY_KIND)
 
-build_utests: prepare
+build_utests:
 	gprbuild $(GMAKE_OPTS) -Ppcscada_utests -XLIBRARY_KIND=static
 
-build_itests: prepare
+build_itests:
 	gprbuild $(GMAKE_OPTS) -Ppcscada_itests -XLIBRARY_KIND=static
 
-build_examples: prepare
+build_examples:
 	gprbuild $(GMAKE_OPTS) -p -Ppcscada_examples -XLIBRARY_KIND=static
-
-prepare: $(SOURCEDIR)/pcsc-version.ads
-
-$(SOURCEDIR)/pcsc-version.ads:
-	@echo "package PCSC.Version is"                 > $@
-	@echo "   Version_String : constant String :=" >> $@
-	@echo "     \"$(VERSION)\";"                   >> $@
-	@echo "end PCSC.Version;"                      >> $@
 
 clean:
 	@rm -rf obj/*
@@ -83,7 +75,6 @@
 	@rm -rf obj
 	@rm -rf lib
 	@rm -rf $(DOCDIR)
-	@rm -f $(SOURCEDIR)/pcsc-version.ads
 
 # run unit tests
 utests: build_utests
