=== debian/changelog ===
pcscada (0.7.5-2) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Standards-Version 4.5.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 14:34:15 +0100

pcscada (0.7.5-1) experimental; urgency=medium

  * New upstream release, rebuilt with gcc-9 and updated dependencies.
    Rename library and -dev packages accordingly.
  * Documentation now builds with asciidoctor.
    Repackage and format without fonts in order to simplify the packaging.
  * Debhelper 12 stops compressing examples.
  * Drop obsolete version restriction in Build-Dependencies.
  * Standards-Version: 4.4.1.
  * Enable all linker warnings.
  * Update variable name in autopkgtest.
  * Remove unneeded signatures from upstream signing key.
  * Adapt Debian test to removal of PCSC.Version.

  [ Reto Buerki <reet@codelabs.ch> ]
  * Update upstream signing key and watch HTTPS upstream URL.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 27 Nov 2019 20:42:17 +0100
