=== debian/control ===
--- 
+++ 
@@ -4,21 +4,22 @@
 Maintainer: Reto Buerki <reet@codelabs.ch>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends:
- asciidoc,
- debhelper (>= 11),
- dh-ada-library,
- gnat, gnat-8,
+ asciidoctor,
+ debhelper-compat (= 12),
+ dh-ada-library (>= 6.17),
+ gnat, gnat-9,
 # This line is parsed by debian/rules.
  gprbuild,
- libahven7-dev,
- libpcsclite-dev (>= 1.4.0), source-highlight
-Standards-Version: 4.1.5
+ libahven8-dev,
+ libpcsclite-dev,
+ ruby-pygments.rb,
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://www.codelabs.ch/pcscada/
 Vcs-Browser: https://git.codelabs.ch/?p=pcscada.git
 Vcs-Git: https://git.codelabs.ch/git/pcscada.git -b debian
 
-Package: libpcscada0.7.4
+Package: libpcscada0.7.5
 # This line is parsed by debian/rules.
 Architecture: any
 Multi-Arch: same
@@ -28,7 +29,7 @@
  programming language. The library allows applications written in Ada to
  communicate with smart cards using the SCard API.
 
-Package: libpcscada6-dev
+Package: libpcscada7-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends},
