=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
   ' debian/control),$(eval $(line)))
 
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
+DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
+  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/ada/debian_packaging-$(gnat_version).mk
 
@@ -55,7 +57,3 @@
 override_dh_installexamples:
 	dh_installexamples -p$(dev_pkg) examples/*
 	dh_installexamples --remaining-packages
-
-.PHONY: override_dh_compress
-override_dh_compress:
-	dh_compress -X.ads -X.adb -XMakefile
