## pcscada 0.7.6

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 MAJOR   = 0
 MINOR   = 7
-REV     = 5
+REV     = 6
 VERSION = $(MAJOR).$(MINOR).$(REV)
 PCSCADA = libpcscada-$(VERSION)
