=== debian/changelog ===
pcscada (0.7.6-4) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition.
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 09 May 2022 10:42:05 +0200

pcscada (0.7.6-3) experimental; urgency=medium

  * Build with gcc-11 for experimental. Rename -dev package accordingly.
  * Use unversioned debian_packaging.mk from gnat package.
  * Standards-Version: 4.6.0 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 31 Mar 2022 19:43:01 +0000

pcscada (0.7.6-2) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 19 Dec 2020 14:46:05 +0100

pcscada (0.7.6-1) experimental; urgency=medium

  [ Reto Buerki ]
  * Update to release 0.7.6

  [ Nicolas Boulenguez ]
  * Rebuild  with gcc-10. Rename lib and -dev packages accordingly.
  * Swap packages in control file and simplify debhelper stuff.
  * Let dh-ada-library >= 7 generate dependency on libpcsclite-dev.
  * Debhelper 13 (dh-sequence syntax, checks notest option).
  * Pass build flags via the environment.

 -- Reto Buerki <reet@codelabs.ch>  Mon, 12 Oct 2020 09:51:10 +0200
