=== debian/control ===
Source: pcscada
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 asciidoctor,
 debhelper-compat (= 13),
 dh-ada-library (>= 7.5),
 dh-sequence-ada-library,
 gnat,
 gnat-11,
 gprbuild,
 libahven10-dev,
 libpcsclite-dev,
 ruby-pygments.rb,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://www.codelabs.ch/pcscada/
Vcs-Browser: https://git.codelabs.ch/?p=pcscada.git
Vcs-Git: https://git.codelabs.ch/git/pcscada.git -b debian

# This line is parsed by debian/rules:
Package: libpcscada10-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: Ada bindings to PC/SC middleware (development)
 PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
 programming language. The library allows applications written in Ada to
 communicate with smart cards using the SCard API.
 .
 This package contains the development files.

Package: libpcscada0.7.6
# This line is parsed by debian/rules.
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada bindings to PC/SC middleware
 PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
 programming language. The library allows applications written in Ada to
 communicate with smart cards using the SCard API.
