=== debian/rules ===
#!/usr/bin/make -f

$(foreach line,$(shell sed -n '\
  s/^Package: libpcscada\([0-9.]\+\)$$/ \
    VERSION:=\1 \
  /p;\
  s/^Package: \(libpcscada[0-9.]\+-dev\)$$/ \
    dev_pkg:=\1 \
  /p;\
  ' debian/control),$(eval $(line)))

DPKG_EXPORT_BUILDFLAGS := 1
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildopts.mk
include /usr/share/ada/debian_packaging.mk

make_vars := \
  VERSION=$(VERSION) \
  'GNAT_BUILDER_FLAGS=$(GPRBUILDFLAGS)'

%:
	dh $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build -- $(make_vars) LIBRARY_KIND=dynamic
	dh_auto_build -- $(make_vars) LIBRARY_KIND=static
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	dh_auto_build -- $(make_vars) doc
endif

.PHONY: override_dh_auto_install

.PHONY: override_dh_auto_test
override_dh_auto_test:
	$(MAKE) $(make_vars) utests

override_dh_auto_build: debian/doc-base
debian/doc-base: debian/template_libpcscada-dev.doc-base
	sed s/@dev_pkg@/$(dev_pkg)/ $< > $@
