=== debian/changelog ===
pcscada (0.7.7-6build1.1) noble; urgency=medium

  * SRU: LP: #2083315: No-change rebuild for gnat 64bit time_t changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Oct 2024 07:28:24 +0200

pcscada (0.7.7-6build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:17:52 +1100

pcscada (0.7.7-6) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 19:21:08 +0000

pcscada (0.7.7-5) experimental; urgency=medium

  * Upload to experimental because of the following transitions.
  * Build with gnat-13.  Rename library package with new SOversion.
  * Build with dh-ada-library/9. Remove version from -dev package name.
    Provide a name containing a hash.
    Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * Use explicit debian/PACKAGE.{doc-base,docs,examples} files and test
    dependencies now that the -dev package is unversioned.
  * Improve readability of debian/rules.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 24 Dec 2023 00:36:30 +0000

pcscada (0.7.7-4) unstable; urgency=medium

  * Break/Replace libpcscada*-dev since oldstable. Closes: #1034927.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 May 2023 11:40:45 +0200

pcscada (0.7.7-3) unstable; urgency=medium

  * Let -dev depend on libpcsclite-dev (previously done by dh-ada-library).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 31 Dec 2022 07:06:39 +0000

pcscada (0.7.7-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 02:00:20 +0100

pcscada (0.7.7-1) experimental; urgency=medium

  [ Reto Buerki ]
  * Update to release 0.7.7
  * Drop Files-Excluded for doc/fonts

  [ Nicolas Boulenguez ]
  * Standards-Version: 4.6.1
  * Stop Build-Depending on gnat
  * Build new upstream release with gcc-12 in experimental.
    Rename the -dev package but not the shared library.
  * Add upstream metadata

 -- Reto Buerki <reet@codelabs.ch>  Sun, 30 Oct 2022 15:26:29 +0100
