=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS := 1
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/packaging.mk

make_vars := \
  'GNAT_BUILDER_FLAGS=$(GPRBUILDFLAGS)'
static := VERSION=
shared := VERSION=$(pcscada_SO_VERSION)

%:
	dh $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build -- $(make_vars) $(shared)
	dh_auto_build -- $(make_vars) $(static)
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	dh_auto_build -- $(make_vars) build-doc
endif

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install -- $(make_vars) $(shared) \
	  GPRINSTALLFLAGS='$(call shared_GPRINSTALLFLAGS,pcscada)'
	dh_auto_install -- $(make_vars) $(static) \
	  GPRINSTALLFLAGS='$(static_GPRINSTALLFLAGS)'

.PHONY: override_dh_auto_test
override_dh_auto_test:
	$(MAKE) $(make_vars) utests
